Lookup transaction
curl --request GET \
--url https://api.onswitch.xyz/wallet/{wallet_id}/transaction/{reference} \
--header 'x-service-key: <api-key>'import requests
url = "https://api.onswitch.xyz/wallet/{wallet_id}/transaction/{reference}"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://api.onswitch.xyz/wallet/{wallet_id}/transaction/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Transaction lookup successful",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": {
"reference": "f891a3c2-5e7d-4b91-8f62-0c4d1e9a7365",
"transaction_hash": "0xd4c19f2e8a91b06357cef3049821ea47dc33a09ef12c8456f8ab2d9e0c7e51a3",
"explorer_url": "https://basescan.org/tx/0xd4c19f2e8a91b06357cef3049821ea47dc33a09ef12c8456f8ab2d9e0c7e51a3",
"type": "transfer",
"date": "2026-04-18T14:19:41.208Z",
"sender": "0x8F3aC91d2B741E59f064E9053a4d2E8F1c0b6D93a",
"receiver": "0x42c9E1aF8d736B2D094e6590315Dc7a1F947c4B0e",
"status": "successful",
"fee": {
"amount": 0.01,
"assets": [
{
"id": "base:usdc",
"amount": 0.01
}
]
},
"input": {
"amount": 10,
"assets": [
{
"id": "base:usdc",
"amount": 10
}
]
},
"output": {
"amount": 10,
"assets": [
{
"id": "arbitrum:usdc",
"amount": 10
}
]
}
}
}{
"success": false,
"message": "amount must be greater than 0 for the selected corridor",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": null
}Lookup transaction
Get details of a single transaction by its reference (UUID).
GET
/
wallet
/
{wallet_id}
/
transaction
/
{reference}
Lookup transaction
Authorizations
Service key for API authentication
Path Parameters
Wallet ID (24-character hex)
Pattern:
^[a-f0-9]{24}$Transaction reference (UUID)
Response
Transaction lookup successful
Hide child attributes
Hide child attributes
Transaction reference (UUID)
Blockchain transaction hash
URL to view transaction on blockchain explorer
Transaction type (e.g. transfer)
Available options:
successful, failed, processing ⌘I